/*----------------------------------------------------------------------
 * $Id: conversionDlg.hpp,v 1.2 2003/12/24 16:20:00 ganzhorn Exp $      
 *                                                                      
 * Copyright (C)   2000            Salem Ganzhorn <eyekode@yahoo.com> 
 *                                                                      
 * This file may be distributed and/or modified under the terms of the  
 * Q Public License as defined by Trolltech AS of Norway and appearing  
 * in the file LICENSE.QPL included in the packaging of this file.      
 *                                                                      
 *----------------------------------------------------------------------*/

#ifndef _CONVERSION_DLG_HPP_
#define _CONVERSION_DLG_HPP_
#include <qwidget.h>
#include <qvalidator.h>

#include "translate.hpp"

class QLineEdit;
class QCheckBox;

class ConversionDlg : public QWidget {
  Q_OBJECT
public:
  ConversionDlg(QWidget* parent=0, const char *name=0);
  ~ConversionDlg();

public slots:
  void doubleChanged( const QString& str  );
  void floatChanged( const QString& str   );
  void integerChanged( const QString& str );
  void valueChanged( const QString& str   );
  void valueChanged();
  void asciiChanged( const QString& str   );
  void searchSlot();

signals:
  void search( const QString& searchString ); 
  void searchForwardsToggled(bool on);

protected:
  enum {
    MinLE = 0,
    HexLE = 0 ,
    AsciiLE,
    DoubleLE,
    FloatLE,
    IntegerLE,
    MaxLE
  };
  enum {
    MinBS =0,
    DoubleBS=0,
    FloatBS,
    IntegerBS,
    MaxBS
  };
  QLineEdit * leditors[MaxLE];
  QCheckBox * byteSwapFlag[MaxBS];
  QCheckBox * ignoreClear,*searchForwards;
  bool        inValueChanged;
};

class HexValidator : public QValidator {
public:
  HexValidator( QWidget* parent, const char * name = 0 );
  State validate( QString & str, int & pos ) const;
};

#endif
