%{
/*----------------------------------------------------------------------
 * $Id: expr.y,v 1.1 2004/02/13 03:57:57 ganzhorn Exp $             
 *                                                                      
 * Copyright (C)   2000            Salem Ganzhorn <eyekode@yahoo.com> 
 *                                                                      
 * This file may be distributed and/or modified under the terms of the  
 * Q Public License as defined by Trolltech AS of Norway and appearing  
 * in the file LICENSE.QPL included in the packaging of this file.      
 *                                                                      
 *----------------------------------------------------------------------*/
#define YYSTYPE off_t
#include <iostream>

#include <math.h>

#include "expr.h"

using namespace std;

off_t expr_value;

int exprlex();

static int exprerror( const char * );

%}

%token NUMBER
%left '-' '+' '*' '/'

%%
target : expr {
   expr_value = $1;
}
;

expr: /* nothing */
| NUMBER        { $$ = $1; }
| expr '+' expr { $$ = $1 + $3; }
| expr '-' expr { $$ = $1 - $3; }
| expr '*' expr { $$ = $1 * $3; }
| '(' expr ')'  { $$ = $2; }
;


%%

static int 
exprerror( 
   const char * str
   )
{
   return 0;
}
