/*----------------------------------------------------------------------
 * $Id: offsetConstraint.hpp,v 1.3 2003/12/24 16:20:00 ganzhorn Exp $
 *                                                                      
 * Copyright (C)   2000            Salem Ganzhorn <eyekode@yahoo.com> 
 *                                                                      
 * This file may be distributed and/or modified under the terms of the  
 * Q Public License as defined by Trolltech AS of Norway and appearing  
 * in the file LICENSE.QPL included in the packaging of this file.      
 *                                                                      
 *----------------------------------------------------------------------*/

// widget for constraining offset to stride*n+offset

#include <qvgroupbox.h>
#include <sys/types.h>

class QWidget;
class QSpinBox;

class OffsetConstraint :public QVGroupBox {
  Q_OBJECT

public:
  OffsetConstraint( QWidget * parent = 0, const char * name = 0 );

  int getStride(void) const;
  int getOffset(void) const;

  // applies formula to find next/previous constrained offset
  off_t next(off_t off) const;
  off_t prev(off_t off) const;

public slots:
  void setStride(int);
  void setOffset(int);

protected:
  QSpinBox    * stride;
  QSpinBox    * offset;  // [0,stride)
  
};
