/*----------------------------------------------------------------------
 * $Id: translate.hpp,v 1.2 2003/12/24 16:20:00 ganzhorn Exp $          
 *                                                                      
 * Copyright (C)   2000            Salem Ganzhorn <eyekode@yahoo.com> 
 *                                                                      
 * This file may be distributed and/or modified under the terms of the  
 * Q Public License as defined by Trolltech AS of Norway and appearing  
 * in the file LICENSE.QPL included in the packaging of this file.      
 *                                                                      
 *----------------------------------------------------------------------*/

#include <vector>
#include <qstring.h>

#include "local.h"

typedef unsigned char uchar;

namespace Translate {
  const char* ByteToHex(uchar b); 
  void ByteToHex(vector<uchar>& dst , const vector<uchar>& src);
  void ByteToChar(vector<uchar>& dst, const vector<uchar>& src);
  void ByteToOctal(vector<uchar>& dst,const vector<uchar>& src);
  void ByteToBinary(vector<uchar>& dst,const vector<uchar>& src);

  void ByteToHex(QString& dst , const vector<uchar>& src);
  void ByteToChar(QString& dst, const vector<uchar>& src);
  void ByteToOctal(QString& dst,const vector<uchar>& src);
  void ByteToBinary(QString& dst,const vector<uchar>& src);

  void BinaryToByte(vector<uchar>& dst,const vector<uchar>& src);

  void OctalToByte(vector<uchar>& dst,const vector<uchar>& src);

  void CharToByte(vector<uchar>& dst, const vector<uchar>& src);
  void CharToByte(vector<uchar>& dst, const QString& src);
  
  void HexToByte(vector<uchar>& dst , const vector<uchar>& src);
  void HexToByte(vector<uchar>& dst , const QString& src);
  
};
